<?php
/**
 * 文章 
 * 好商城V3 - 33HAO.COM
 * 
 **/

defined('InShopNC') or exit('Access Invalid!');
class articleControl extends mobileControl
{
	public function __construct() {
        parent::__construct();
    }

    public function showOp()
    {
        if(!empty($_GET['article_id']) && intval($_GET['article_id']) > 0)
        {
            $article_model	= Model('cms_article');
            $article = $article_model->getOne(array('article_id' => intval($_GET['article_id'])));

			if (empty($article)) {
				return self::outerr(errcode::ErrParamter,'文章不存在');
			}
			else {
				return self::outsuccess(array('article' => $article),'article/show','wap');
			}
        } 
        else {
            return self::outerr(errcode::ErrParamter,'文章不存在');
        }
    }
}
